<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
if ($aangemeld == "ja")
{
	if (!ISSET($_GET['ref']))
	{
		$ref = "new";
	}
	else
	{
		$ref = $_GET['ref'];
	}
	if (ISSET($_GET['see']))
	{
		if ($_GET['see'] == "archief")
		{
			// nieuwsarchief
			action("bekijkt het nieuwsarchief");
			$ref = "old";
			echo "<h1>Nieuwsarchief</h1>";
			$res = mysql_query("SELECT * FROM nieuwscontent order by id DESC;");
			if (mysql_num_rows($res) >= 1)
			{
				while ($row = mysql_fetch_array($res))
				{
					echo "<div class='reactionsz'>";
					echo "<center><font size='3'><b><a href='?see=".$row['id']."&ref=".$ref."'>".$row['titel']."</a></b></font></center>";
					echo "<div align='right'>Door <a href='profiel.php?naam=".$row['poster']."'>".$row['poster']."</a> op <i>".$row['datum']."</i></div><br>";
					$inhoud = $row['inhoud'];
					$inhoudkort = substr($inhoud, 0, 200);
					$inhoudlengte = strlen($inhoud);
					echo nl2br($inhoudkort);
					if ($inhoudlengte > 200)
					{
						echo "...<p><a href='?see=".$row['id']."&ref=".$ref."'>>> Lees verder</a>";
					}
					if (($member_status == "manager") or ($member_status == "staff"))
					{
						echo "<div align='right'><a href='changenews.php?id=".$row['id']."&ref=".$ref."'><img src='img/edit.gif'></a></div>";
					}
					echo "</div><br>";
				}
			}
			echo "Bekijk het laatste nieuws in het <a href='?'>nieuwsoverzicht</a>.";
		}
		elseif (is_numeric($_GET['see']))
		{
			// artikel
			action("bekijkt een nieuwsartikel");
			echo "<h1>Nieuws</h1>";
			$artikel_nr = $_GET['see'];
			$artikel_titel = halen("SELECT titel FROM nieuwscontent WHERE id=".$artikel_nr.";");
			$artikel_datum = halen("SELECT datum FROM nieuwscontent WHERE id=".$artikel_nr.";");
			$artikel_inhoud = halen("SELECT inhoud FROM nieuwscontent WHERE id=".$artikel_nr.";");
			$artikel_poster = halen("SELECT poster FROM nieuwscontent WHERE id=".$artikel_nr.";");
			echo "<div class='reactionsz'>";
			echo "<center><font size='3'><b><a href='?'>".$artikel_titel."</a></b></font></center>";
			echo "<div align='right'>Door <a href='profiel.php?naam=".$artikel_poster."'>".$artikel_poster."</a> op <i>".$artikel_datum."</i></div><br>";
			echo nl2br($artikel_inhoud);
			if (($member_status == "manager") or ($member_status == "staff"))
			{
				echo "<div align='right'><a href='changenews.php?id=".$artikel_nr."'><img src='img/edit.gif'></a></div>";
			}
			echo "</div><br>";
			echo "</center><h3>Reacties</h3>";
			$csql = "SELECT * FROM nieuwsreplys WHERE tid = '".$artikel_nr."' ORDER BY id ASC";
			$cres = mysql_query($csql);
			if (mysql_num_rows($cres) >= 1)
			{
				while ($row = mysql_fetch_array($cres))
		    	{
					$row['bericht'] = htmlentities($row['bericht']);
					$bericht = $row['bericht'];
					require("ubbc.php");
					$poster = $row['naam'];
					$datum_gepost = $row['datum'];
					echo "<div class='reactionsz'><b><u><a href='profiel.php?naam=".$poster."' title='Profiel van ".$poster."'>".$poster."</a></u></b> schreef op ".$datum_gepost."<br>".$bericht;
					if (($member_status == "staff") or ($member_status == "manager"))
					{
						echo "<div align='right'><a href='wis1nieuwsreply.php?id=".$row['id']."&page=".$artikel_nr."'>Wis</a></div>";
					}
			    	echo "</div><br>";
				}
			}
			else
			{
		        echo '<div align="center">Er zijn nog geen reacties.</div><br>';
			}
			echo '<form name="formulier" method="post" action="addnieuwsreply.php"><center><script language="JavaScript1.2" type="text/javascript" src="javascript/ubbc.js"></script>';
			echo "<script language='JavaScript1.2' type='text/javascript' src='javascript/smileys.js'></script>";
			echo "</center><br><b>Voeg een reactie toe</b><br>";
			echo "<input type='hidden' name='page' value='".$artikel_nr."'>";
			echo '<textarea name="script1" cols="50" rows="8" class="reactionsz"></textarea>';
			echo '<br><input type="submit" name="submit" value="Reactie plaatsen"></form>';
			if ($ref == "new")
			{
				echo "<a href='?'><< Terug naar het nieuwsoverzicht</a>";
			}
			elseif ($ref == "old")
			{
				echo "<a href='?see=archief'><< Terug naar het nieuwsarchief</a>";
			}
			
		}
	}
	else
	{
		// nieuwsoverzicht
		action("bekijkt het nieuwsoverzicht");
		$ref = "new";
		echo "<h1>Nieuwsoverzicht</h1>";
		$res = mysql_query("SELECT * FROM nieuwscontent order by id DESC LIMIT 5;");
		if (mysql_num_rows($res) >= 1)
		{
			while ($row = mysql_fetch_array($res))
			{
				echo "<div class='reactionsz'>";
				echo "<center><font size='3'><b><a href='?see=".$row['id']."&ref=".$ref."'>".$row['titel']."</a></b></font></center>";
				echo "<div align='right'>Door <a href='profiel.php?naam=".$row['poster']."'>".$row['poster']."</a> op <i>".$row['datum']."</i></div><br>";
				$inhoud = $row['inhoud'];
				$inhoudkort = substr($inhoud, 0, 200);
				$inhoudlengte = strlen($inhoud);
				echo nl2br($inhoudkort);
				if ($inhoudlengte > 200)
				{
					echo "...<p><a href='?see=".$row['id']."&ref=".$ref."'>>> Lees verder</a>";
				}
				if (($member_status == "manager") or ($member_status == "staff"))
				{
					echo "<div align='right'><a href='changenews.php?id=".$row['id']."&ref=".$ref."'><img src='img/edit.gif'></a></div>";
				}
				echo "</div><br>";
			}
		}
		echo "Bekijk het oudere nieuws in het <a href='?see=archief'>nieuwsarchief</a>.";
	}
}
else
{
	echo "<h1>Nieuws</h1>";
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>